package blackjack;

import java.util.Scanner;

/**
 * Plays the game of BlackJack Allows for repeats, i.e. there may be multiple
 * copies of a card available. The rules are simplified:
 *
 * You get 2 cards and the dealer gets 2 cards. You count up score for each and
 * see who wins.
 *
 * See http://en.wikipedia.org/wiki/Blackjack Number cards count as their
 * natural value; the jack, queen, and king (also known as "face cards" or
 * "pictures") count as 10; aces are valued as either 1 or 11 according to the
 * player's choice. If the hand value exceeds 21 points, it busts, and all bets
 * on it are immediately forfeit (as currently implemented one could only exceed
 * 21 if there are two aces drawn).
 *
 * @author Jenny Orr, modified by ...
 */
public class BlackJackGame {

    Scanner in = new Scanner(System.in);
    // These constants can make your code more readable. Use them instead of 
    // magic numbers!
    final int SPADES   = 0;
    final int HEARTS   = 1;
    final int DIAMONDS = 2;
    final int CLUBS    = 3;

    /** Constructor - we will learn about this later on */
    public BlackJackGame() {} 

    /** The game's control loop
     */
    public void play() {
        System.out.println("\nWELCOME TO THE BLACKJACK GAME");       
        // your code goes here to play the game       
        System.out.println("\nGame over. Good-bye.");
    }

    /**
     * Prompt the user to see if they want to play a round. If they don't answer
     * properly, ask again.
     *
     * @return "y" or "n"
     */
    public String prompt() {
        String ans="";
        // your code goes here
        return ans;
    }

    /**
     * Plays a single hand (user or the dealer). Two cards are picked, the score
     * is calculated.
     *
     * @return the score
     */
    public int playHand() {
        int score = 0;
        // your code goes here
        return score;
    }

    /**
     * Determine the value of a card: the face value for cards 2 through 10, 10
     * pts for J,Q,K, and 11 pts for the ace.
     *
     * @param card the index of the card
     * @return the value of the card
     */
    public int cardValue(int card) {
        int value = 0;
        // your code goes here
        return value;  // note, value is zero otherwise
    }

    /**
     * randomly deal a card. The cards are represented by integers 0-51 where
     * 0-12 are spades, 13-25 are hearts, 26-38 are clubs, 39-51 are diamonds
     *
     * @return the index of the card (0 through 51)
     */
    public int pickCard() {
        int card = 0;
        // your code goes here
        return card;
    }

    /** Given a card index, return the suit index (0=spades, 1=hearts, 2=clubs, 3=diamonds)
     * 
     * @param card the suit index (0-3)
     * @return 
     */
    public int getSuit(int card) {
        int suit = 0;
        // your code goes here
        return suit;
    }

    /** Given a card index, return the face index  
     * 
     * @param card the card index (0-51)
     * @return the face index (0-12)
     */
    public int getFace(int card) {
        int face = 0;
        // your code goes here
        return face;
    }

    /** given the card index, return the name of the card 
     * 
     * @param card card index (0-51)
     * @return the card name
     */
    public String toStringCard(int card) {
        String cardName="";
        // your code goes here
        return cardName;
    }

    /** Given he suit index, return the suit name
     * 
     * @param suit the suit index (0-4)
     * @return the suit name
     */
    public String toStringSuit(int suit) {
        String suitName="";
        // your code goes here
        return suitName;
    }

    /** Given the face index, return the face name
     * 
     * @param face the face index (0-12)
     * @return the face name
     */
    public String toStringFace(int face) {
        String faceName="";
        // your code goes here
        return faceName;
    }

    
}
